org.wildfly.swarm.config.naming

## Class Binding<T extends Binding<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.naming.Binding<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class Binding<T extends Binding<T>>
      extends HashMap

  JNDI bindings for primitive types
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Binding.BindingType`

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Binding(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `attributeClass()` The object factory class name for object factory bindings
    `T` | `attributeClass(String value)` The object factory class name for object factory bindings
    `Binding.BindingType` | `bindingType()` The type of binding to create, may be simple, lookup, external-context or object-factory
    `T` | `bindingType(Binding.BindingType value)` The type of binding to create, may be simple, lookup, external-context or object-factory
    `Boolean` | `cache()` If the external context should be cached
    `T` | `cache(Boolean value)` If the external context should be cached
    `Map` | `environment()` The environment to use on object factory instance retrieval
    `T` | `environment(Map value)` The environment to use on object factory instance retrieval
    `T` | `environment(String key, Object value)` The environment to use on object factory instance retrieval
    `String` | `getKey()`
    `String` | `lookup()` The entry to lookup in JNDI for lookup bindings
    `T` | `lookup(String value)` The entry to lookup in JNDI for lookup bindings
    `String` | `module()` The module to load the object factory from for object factory bindings
    `T` | `module(String value)` The module to load the object factory from for object factory bindings
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `type()` The type of the value to bind for simple bindings, this must be a primitive type
    `T` | `type(String value)` The type of the value to bind for simple bindings, this must be a primitive type
    `String` | `value()` The value to bind for simple bindings
    `T` | `value(String value)` The value to bind for simple bindings

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### Binding

          public Binding(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### bindingType

          public Binding.BindingType bindingType()

      The type of binding to create, may be simple, lookup, external-context or object-factory

    - #### bindingType

          public T bindingType(Binding.BindingType value)

      The type of binding to create, may be simple, lookup, external-context or object-factory

    - #### cache

          public Boolean cache()

      If the external context should be cached

    - #### cache

          public T cache(Boolean value)

      If the external context should be cached

    - #### attributeClass

          public String attributeClass()

      The object factory class name for object factory bindings

    - #### attributeClass

          public T attributeClass(String value)

      The object factory class name for object factory bindings

    - #### environment

          public Map environment()

      The environment to use on object factory instance retrieval

    - #### environment

          public T environment(Map value)

      The environment to use on object factory instance retrieval

    - #### environment

          public T environment(String key,
                               Object value)

      The environment to use on object factory instance retrieval

    - #### lookup

          public String lookup()

      The entry to lookup in JNDI for lookup bindings

    - #### lookup

          public T lookup(String value)

      The entry to lookup in JNDI for lookup bindings

    - #### module

          public String module()

      The module to load the object factory from for object factory bindings

    - #### module

          public T module(String value)

      The module to load the object factory from for object factory bindings

    - #### type

          public String type()

      The type of the value to bind for simple bindings, this must be a primitive type

    - #### type

          public T type(String value)

      The type of the value to bind for simple bindings, this must be a primitive type

    - #### value

          public String value()

      The value to bind for simple bindings

    - #### value

          public T value(String value)

      The value to bind for simple bindings

Copyright © 2017 JBoss by Red Hat. All rights reserved.